---
title: Update the RUM configuration
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > RUM Config
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update the RUM configuration{% #update-the-rum-configuration %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                          |
| ----------------- | ----------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/rum/config |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/rum/config |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/rum/config      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/rum/config      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/rum/config  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/rum/config |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/rum/config     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/rum/config |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/rum/config |

### Overview

Update the RUM configuration for your organization. Returns the RUM configuration object from the request body when the request is successful.

### Request

#### Body Data (required)

New definition of the RUM configuration.

{% tab title="Model" %}

| Parent field | Field                                       | Type    | Description                                                                                          |
| ------------ | ------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------- |
|              | data [*required*]                      | object  | Object describing the RUM configuration to update.                                                   |
| data         | attributes [*required*]                | object  | Attributes of the RUM configuration to update.                                                       |
| attributes   | enforced_application_tags [*required*] | boolean | Whether application tags are enforced for the RUM applications in the organization.                  |
| data         | type [*required*]                      | enum    | The type of the resource. The value should always be `rum_config`. Allowed enum values: `rum_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "enforced_application_tags": true
    },
    "type": "rum_config"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The RUM configuration object.

| Parent field | Field                                       | Type      | Description                                                                                          |
| ------------ | ------------------------------------------- | --------- | ---------------------------------------------------------------------------------------------------- |
|              | data [*required*]                      | object    | The RUM configuration data.                                                                          |
| data         | attributes [*required*]                | object    | Attributes of the RUM configuration.                                                                 |
| attributes   | disabled                                    | boolean   | Whether the RUM configuration is disabled for the organization.                                      |
| attributes   | enforced_application_tags [*required*] | boolean   | Whether application tags are enforced for the RUM applications in the organization.                  |
| attributes   | enforced_application_tags_updated_at        | date-time | Timestamp of when the enforced application tags setting was last updated.                            |
| attributes   | enforced_application_tags_updated_by        | string    | Handle of the user who last updated the enforced application tags setting.                           |
| attributes   | ootb_metrics_version                        | int64     | Version of the out-of-the-box metrics installed for the organization.                                |
| attributes   | ootb_metrics_version_installed_at           | date-time | Timestamp of when the out-of-the-box metrics version was installed.                                  |
| attributes   | retention_filters_enabled [*required*] | boolean   | Whether retention filters are enabled for the organization.                                          |
| attributes   | retention_filters_enabled_updated_at        | date-time | Timestamp of when the retention filters setting was last updated.                                    |
| attributes   | retention_filters_enabled_updated_by        | string    | Handle of the user or job who last updated the retention filters setting.                            |
| data         | id [*required*]                        | string    | The organization ID associated with the RUM configuration.                                           |
| data         | type [*required*]                      | enum      | The type of the resource. The value should always be `rum_config`. Allowed enum values: `rum_config` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "disabled": false,
      "enforced_application_tags": true,
      "enforced_application_tags_updated_at": "2024-01-15T09:30:00.000Z",
      "enforced_application_tags_updated_by": "user@example.com",
      "ootb_metrics_version": 5,
      "ootb_metrics_version_installed_at": "2024-01-15T09:30:00.000Z",
      "retention_filters_enabled": true,
      "retention_filters_enabled_updated_at": "2024-01-15T09:30:00.000Z",
      "retention_filters_enabled_updated_by": "contract-update-job"
    },
    "id": "1234",
    "type": "rum_config"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Not Authorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/rum/config" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "enforced_application_tags": false
    },
    "type": "rum_config"
  }
}
EOF 
                
##### 

```python
"""
Update the RUM configuration returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_config_api import RUMConfigApi
from datadog_api_client.v2.model.rum_config_type import RumConfigType
from datadog_api_client.v2.model.rum_config_update_attributes import RumConfigUpdateAttributes
from datadog_api_client.v2.model.rum_config_update_data import RumConfigUpdateData
from datadog_api_client.v2.model.rum_config_update_request import RumConfigUpdateRequest

body = RumConfigUpdateRequest(
    data=RumConfigUpdateData(
        attributes=RumConfigUpdateAttributes(
            enforced_application_tags=True,
        ),
        type=RumConfigType.RUM_CONFIG,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_rum_config"] = True
with ApiClient(configuration) as api_client:
    api_instance = RUMConfigApi(api_client)
    response = api_instance.update_rum_config(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update the RUM configuration returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_rum_config".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RUMConfigAPI.new

body = DatadogAPIClient::V2::RumConfigUpdateRequest.new({
  data: DatadogAPIClient::V2::RumConfigUpdateData.new({
    attributes: DatadogAPIClient::V2::RumConfigUpdateAttributes.new({
      enforced_application_tags: true,
    }),
    type: DatadogAPIClient::V2::RumConfigType::RUM_CONFIG,
  }),
})
p api_instance.update_rum_config(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update the RUM configuration returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RumConfigUpdateRequest{
		Data: datadogV2.RumConfigUpdateData{
			Attributes: datadogV2.RumConfigUpdateAttributes{
				EnforcedApplicationTags: true,
			},
			Type: datadogV2.RUMCONFIGTYPE_RUM_CONFIG,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateRumConfig", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRUMConfigApi(apiClient)
	resp, r, err := api.UpdateRumConfig(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RUMConfigApi.UpdateRumConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RUMConfigApi.UpdateRumConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update the RUM configuration returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumConfigApi;
import com.datadog.api.client.v2.model.RumConfigResponse;
import com.datadog.api.client.v2.model.RumConfigType;
import com.datadog.api.client.v2.model.RumConfigUpdateAttributes;
import com.datadog.api.client.v2.model.RumConfigUpdateData;
import com.datadog.api.client.v2.model.RumConfigUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateRumConfig", true);
    RumConfigApi apiInstance = new RumConfigApi(defaultClient);

    RumConfigUpdateRequest body =
        new RumConfigUpdateRequest()
            .data(
                new RumConfigUpdateData()
                    .attributes(new RumConfigUpdateAttributes().enforcedApplicationTags(true))
                    .type(RumConfigType.RUM_CONFIG));

    try {
      RumConfigResponse result = apiInstance.updateRumConfig(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumConfigApi#updateRumConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update the RUM configuration returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_config::RUMConfigAPI;
use datadog_api_client::datadogV2::model::RumConfigType;
use datadog_api_client::datadogV2::model::RumConfigUpdateAttributes;
use datadog_api_client::datadogV2::model::RumConfigUpdateData;
use datadog_api_client::datadogV2::model::RumConfigUpdateRequest;

#[tokio::main]
async fn main() {
    let body = RumConfigUpdateRequest::new(RumConfigUpdateData::new(
        RumConfigUpdateAttributes::new(true),
        RumConfigType::RUM_CONFIG,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateRumConfig", true);
    let api = RUMConfigAPI::with_config(configuration);
    let resp = api.update_rum_config(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update the RUM configuration returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateRumConfig"] = true;
const apiInstance = new v2.RUMConfigApi(configuration);

const params: v2.RUMConfigApiUpdateRumConfigRequest = {
  body: {
    data: {
      attributes: {
        enforcedApplicationTags: true,
      },
      type: "rum_config",
    },
  },
};

apiInstance
  .updateRumConfig(params)
  .then((data: v2.RumConfigResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
